package org.apache.logging.log4j.core.layout;

import java.io.Serializable;
import org.apache.logging.log4j.Logger;
import org.apache.logging.log4j.core.Layout;
import org.apache.logging.log4j.status.StatusLogger;

public abstract class AbstractLayout<T extends Serializable> implements Layout<T> {
   protected static final Logger LOGGER = StatusLogger.getLogger();
   protected final byte[] header;
   protected final byte[] footer;

   public AbstractLayout(byte[] header, byte[] footer) {
      this.header = header;
      this.footer = footer;
   }

   public byte[] getHeader() {
      return this.header;
   }

   public byte[] getFooter() {
      return this.footer;
   }
}
